package net.sf.doolin.bus.support;

import java.util.ArrayList;
import java.util.List;

public class RecordingPropertyChangeListener implements PropertyChangeListener {

    private final List<PropertyChangeMessage> messages = new ArrayList<PropertyChangeMessage>();

    @Override
    public void onChange(PropertyChangeMessage message) {
        messages.add(message);
    }

    public List<PropertyChangeMessage> getMessages() {
        return messages;
    }
}
